CVE-2012-5657

NameCVE-2012-5657
DescriptionThe (1) Zend_Feed_Rss and (2) Zend_Feed_Atom classes in Zend_Feed in Zend Framework 1.11.x before 1.11.15 and 1.12.x before 1.12.1 allow remote attackers to read arbitrary files, send HTTP requests to intranet servers, and possibly cause a denial of service (CPU and memory consumption) via an XML External Entity (XXE) attack.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-2602-1
NVD severitymedium (attack range: remote)
Debian Bugs696483
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
zendframework (PTS)squeeze, squeeze (security)1.10.6-1squeeze2fixed
squeeze (lts)1.10.6-1squeeze4fixed
wheezy1.11.13-1.1fixed
wheezy (security)1.11.13-1.1+deb7u2fixed
jessie (security), jessie1.12.9+dfsg-2+deb8u2fixed
stretch, sid1.12.13+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
zendframeworksource(unstable)1.11.13-1.1medium696483
zendframeworksourcesqueeze1.10.6-1squeeze2mediumDSA-2602-1

Notes

http://www.openwall.com/lists/oss-security/2012/12/20/2
http://framework.zend.com/security/advisory/ZF2012-05
https://bugzilla.redhat.com/show_bug.cgi?id=889037
http://secunia.com/advisories/51583

Search for package or bug name: Reporting problems